Loading...
Searching...
No Matches
main.cpp File Reference

The main program for this project. More...

`#include <fstream>`
`#include <omp.h>`
`#include <sys/stat.h>`
`#include "PenningTrap.hpp"`

Go to the source code of this file.

## Macros

#define | PARTICLES 100
#define | N 10000
#define | CHARGE 1.
#define | MASS 40.

## Functions

void | simulate_100_particles ()
int | main ()

## Detailed Description

The main program for this project.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
  0.1

Bug:
  No known bugs

Definition in file main.cpp.

## Macro Definition Documentation

## CHARGE

#define CHARGE 1.

Definition at line 21 of file main.cpp.

## MASS

#define MASS 40.

Definition at line 22 of file main.cpp.

## N

#define N 10000

Definition at line 20 of file main.cpp.

## PARTICLES

#define PARTICLES 100

Definition at line 19 of file main.cpp.

## Function Documentation

## main()

int main | ( |  | ) |

Definition at line 77 of file main.cpp.

## simulate_100_particles()

void simulate_100_particles | ( |  | ) |

Definition at line 24 of file main.cpp.